<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="auft_auftagsstatistik_ls" pageWidth="635" pageHeight="200" whenNoDataType="AllSectionsNoDetail" columnWidth="635" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="4aadc31f-6107-4999-a669-37ef722b0119">
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="P_SQLEXEC" class="com.lp.server.util.ReportSqlExecutor">
		<parameterDescription><![CDATA[Ausführung von SQL Befehlen über die ReportConnectionUrl]]></parameterDescription>
	</parameter>
	<queryString>
		<![CDATA[]]>
	</queryString>
	<field name="LS_Nr" class="java.lang.String"/>
	<field name="Artikel_C_Nr" class="java.lang.String"/>
	<field name="Bez" class="java.lang.String"/>
	<field name="ZBez" class="java.lang.String"/>
	<field name="LS_Menge" class="java.math.BigDecimal"/>
	<field name="LS_Posart" class="java.lang.String"/>
	<field name="LS_VKPreis" class="java.math.BigDecimal"/>
	<field name="Artikel_i_id" class="java.lang.Integer"/>
	<field name="Artikel_lagerbewirtschaftet" class="java.lang.Integer"/>
	<variable name="Lief1Preis" class="java.math.BigDecimal" resetType="None">
		<variableExpression><![CDATA[$P{P_SQLEXEC}.execute(
"select n_nettopreis from ww_artikellieferant where artikel_i_id="+$F{Artikel_i_id}+" "+
"and i_sort=1;"
)]]></variableExpression>
	</variable>
	<variable name="EK_Wert_NLBW" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Artikel_lagerbewirtschaftet} == null || $F{Artikel_lagerbewirtschaftet}.intValue() == 1 ||
!$F{LS_Posart}.startsWith("Ident") ?
BigDecimal.ZERO : $F{LS_Menge}.multiply($V{Lief1Preis})]]></variableExpression>
	</variable>
	<group name="LS">
		<groupExpression><![CDATA[$F{LS_Nr}]]></groupExpression>
		<groupFooter>
			<band height="5"/>
		</groupFooter>
	</group>
	<title>
		<band height="10" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="150" height="9" uuid="2850de59-1554-44e1-a3c9-6897127f86c8"/>
				<textElement>
					<font fontName="Arial" size="7" isBold="true"/>
				</textElement>
				<text><![CDATA[Lieferscheine]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="15" splitType="Stretch">
			<staticText>
				<reportElement x="60" y="4" width="80" height="10" uuid="3280e421-cecc-43b8-9e48-bf5a881c849b"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[► Artikel Nr]]></text>
			</staticText>
			<staticText>
				<reportElement x="140" y="4" width="180" height="10" uuid="1e5527bd-a5d8-4c13-90ae-6bfa277d4a7a"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Bezeichnung]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="14" width="635" height="1" uuid="63bfda2a-cb60-4e61-a760-01c431d07e36"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="380" y="4" width="60" height="10" uuid="420e3eed-889e-4489-8661-fda787bb794d"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[Gel.Menge]]></text>
			</staticText>
			<staticText>
				<reportElement x="350" y="4" width="30" height="10" uuid="769c23ce-747b-4bfa-987e-7d48b564c4b2"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[PosArt]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="4" width="60" height="10" uuid="9543940c-a487-4306-8e25-5263c6cbaeae"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[► LS Nr]]></text>
			</staticText>
			<staticText>
				<reportElement x="440" y="4" width="60" height="10" uuid="f55d27f9-e8ce-4845-96aa-0270dfd517c5"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[VK_Preis]]></text>
			</staticText>
			<textField>
				<reportElement x="320" y="4" width="30" height="10" uuid="4a6e9a83-c692-455b-af35-97f314acc1d5"/>
				<textElement textAlignment="Center" markup="none">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["LBW"]]></textFieldExpression>
				<hyperlinkTooltipExpression><![CDATA["Lagerbewirtschaftet J/N"]]></hyperlinkTooltipExpression>
			</textField>
			<staticText>
				<reportElement x="500" y="4" width="60" height="10" uuid="251aa048-cd70-4323-a2f3-ccf8ed754e67"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[EK_Preis]]></text>
			</staticText>
			<staticText>
				<reportElement x="570" y="4" width="60" height="10" uuid="69da07e7-fefe-4f8d-a31b-f2ba38a7954d"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[EK_Wert NLBW]]></text>
			</staticText>
		</band>
	</pageHeader>
	<detail>
		<band height="10" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="LS Nr" positionType="Float" x="0" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="7e4f3b12-c0f4-4980-b7d5-ce11c4ec0c04"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LS_Nr}]]></textFieldExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_LIEFERSCHEIN_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{LS_Nr}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.###" isBlankWhenNull="true">
				<reportElement key="GestWert" positionType="Float" x="380" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="6d55547a-7b33-4db9-a49e-39d72f0e87d0"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LS_Menge}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true" hyperlinkType="GOTO">
				<reportElement key="LS Nr" positionType="Float" x="60" y="0" width="80" height="10" isRemoveLineWhenBlank="true" uuid="1b61b1f3-3954-49a4-ad09-a7b10b008fab"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel_C_Nr}]]></textFieldExpression>
				<hyperlinkParameter name="WhereToGo">
					<hyperlinkParameterExpression><![CDATA[com.lp.util.GotoHelper.goto_ARTIKEL_AUSWAHL()]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
				<hyperlinkParameter name="Key">
					<hyperlinkParameterExpression><![CDATA[$F{Artikel_C_Nr}]]></hyperlinkParameterExpression>
				</hyperlinkParameter>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="GestWert" positionType="Float" x="140" y="0" width="180" height="10" isRemoveLineWhenBlank="true" uuid="a0fce43d-1d04-4ab8-9fae-0c9f54e165fe"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Bez}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="NichtLagerBewirtschaftet" positionType="Float" x="320" y="0" width="30" height="10" isRemoveLineWhenBlank="true" uuid="5fc5bf1f-81ae-4959-974e-f9d9a91001b0"/>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Artikel_lagerbewirtschaftet} == null || $F{Artikel_lagerbewirtschaftet}.intValue() == 0 ?
"nicht":"√"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="GestWert" positionType="Float" x="350" y="0" width="30" height="10" isRemoveLineWhenBlank="true" uuid="843edc39-98d6-4bb4-84a5-bfdbcbbf1cc5"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LS_Posart}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="GestWert" positionType="Float" x="440" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="e6459902-fabc-44ac-9a90-7b0e118a9a3a"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{LS_VKPreis}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="EK_Preis" positionType="Float" x="500" y="0" width="60" height="10" isRemoveLineWhenBlank="true" uuid="64304d58-5f5c-4925-903e-701fa267a2cb"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Lief1Preis}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="15">
			<line>
				<reportElement x="0" y="0" width="635" height="1" uuid="fdc14f55-4f3e-4b7b-9b92-f6c73dd210f1"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField isStretchWithOverflow="true" pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="EK_Preis" positionType="Float" x="570" y="1" width="60" height="10" isRemoveLineWhenBlank="true" uuid="8a63ecd7-b799-4d7f-97cb-08234e25eb19"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{EK_Wert_NLBW}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
